# Reinforcement Learning via Supervised Learning

# Installation

Run
```
pip install -e .
```

The code depends on MuJoCo 2.0 and MuJoCo 2.1. Here are [instructions for installing MuJoCo 2.0](https://github.com/openai/mujoco-py/tree/4830435a169c1f3e3b5f9b58a7c3d9c39bdf4acb#install-mujoco)
and [instructions for installing MuJoCo 2.1](https://github.com/openai/mujoco-py/tree/fb4babe73b1ef18b4bea4c6f36f6307e06335a2f#install-mujoco).

We also provide a `Dockerfile` that will automatically handle the MuJoCo dependencies
for you.

# Reproducing Experiments

The `experiments` directory contains a launch script for each environment suite. For
example, to reproduce the RvS-R results in D4RL Gym locomotion, run
```
bash experiments/launch_gym_rvs_r.sh
```
Each launch script corresponds to a configuration file in `experiments/config` which
serves as a reference for the hyperparameters associated with each experiment.